pcl::io::openni2::OpenNI2FrameListener Class Reference

`#include <pcl/io/openni2/openni2_frame_listener.h>`

Inheritance diagram for pcl::io::openni2::OpenNI2FrameListener:

## Public Member Functions

| OpenNI2FrameListener ()
| OpenNI2FrameListener (StreamCallbackFunction cb)
virtual | ~OpenNI2FrameListener ()
void | onNewFrame (openni::VideoStream &stream)
void | setCallback (StreamCallbackFunction cb)

## Detailed Description

Definition at line 56 of file openni2_frame_listener.h.

## Constructor & Destructor Documentation

pcl::io::openni2::OpenNI2FrameListener::OpenNI2FrameListener | ( |  | ) |

inline

Definition at line 60 of file openni2_frame_listener.h.

pcl::io::openni2::OpenNI2FrameListener::OpenNI2FrameListener | ( | StreamCallbackFunction | cb | ) |

inline

Definition at line 62 of file openni2_frame_listener.h.

virtual pcl::io::openni2::OpenNI2FrameListener::~OpenNI2FrameListener | ( |  | ) |

inline virtual

Definition at line 65 of file openni2_frame_listener.h.

## Member Function Documentation

void pcl::io::openni2::OpenNI2FrameListener::onNewFrame | ( | openni::VideoStream & | stream | ) |

inline

Definition at line 69 of file openni2_frame_listener.h.

void pcl::io::openni2::OpenNI2FrameListener::setCallback | ( | StreamCallbackFunction | cb | ) |

inline

Definition at line 76 of file openni2_frame_listener.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/openni2/openni2_frame_listener.h